summaryrefslogtreecommitdiff
path: root/Master/bin/universal-darwin/sjispdflatex
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-07-07 00:38:30 +0000
committerKarl Berry <karl@freefriends.org>2008-07-07 00:38:30 +0000
commit174072ff0da094899d051817c5a4c184fd4ca0a5 (patch)
treef7da19409181f39d360a4afc7998210cda71eaa6 /Master/bin/universal-darwin/sjispdflatex
parent8ce5f3c02630ba0f818866b9e16f6ad4406847ff (diff)
add universal-darwin binaries and support
git-svn-id: svn://tug.org/texlive/trunk@9317 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/universal-darwin/sjispdflatex')
-rwxr-xr-xMaster/bin/universal-darwin/sjispdflatex43
1 files changed, 43 insertions, 0 deletions
diff --git a/Master/bin/universal-darwin/sjispdflatex b/Master/bin/universal-darwin/sjispdflatex
new file mode 100755
index 00000000000..e8d070e9dc6
--- /dev/null
+++ b/Master/bin/universal-darwin/sjispdflatex
@@ -0,0 +1,43 @@
+#! /bin/sh
+
+# Copyright (C) 1994-2006 Werner Lemberg <wl@gnu.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program in doc/COPYING; if not, write to the Free
+# Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+# MA 02110-1301 USA
+
+n=1
+argv=
+
+# get last argument
+while test 1 -lt $#; do
+ eval argv$n=\$1
+ argv="$argv \"\$argv$n\""
+ n=`expr $n + 1`
+ shift
+done
+
+# replace extension with .cjk or append .cjk if there is no extension
+tex=$1
+case $tex in
+""|*.cjk)
+ echo >&2 "Usage: $0 [options] latex-file"
+ exit 1;;
+*)
+ aux=`expr "X$tex" : 'X\(.*\)\.[^/]*$' \| "X$tex" : 'X\(.*\)'`.cjk;;
+esac
+
+sjisconv < "$tex" > "$aux" && eval pdflatex "$argv" "\$aux"
+
+# EOF